6.0.0-git
2019-03-23

[#13158] UID in Event-Invitation NOT in the Link
Summary UID in Event-Invitation NOT in the Link
Queue Kronolith
Queue Version 4.1.5
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester chrizn (at) gmail (dot) com
Created 2014-05-02 (1786 days ago)
Due
Updated 2014-05-06 (1782 days ago)
Assigned
Resolved 2014-05-06 (1782 days ago)
Milestone 4.2
Patch No

History
2014-05-06 10:27:28 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
Priority ⇒ 1. Low
Milestone ⇒ 4.2
 
2014-05-06 10:27:19 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit 28793a663638a055cc01257ca7e6f2e067bb6836
Author: Jan Schneider <jan@horde.org>
Date:   Tue May 6 12:25:35 2014 +0200

     Use the event's or calendar's owner identity when sending 
notifications (Bug #13158).

  kronolith/docs/CHANGES      |    2 ++
  kronolith/lib/Kronolith.php |    5 +++--
  kronolith/package.xml       |    4 ++--
  3 files changed, 7 insertions(+), 4 deletions(-)

http://github.com/horde/horde/commit/28793a663638a055cc01257ca7e6f2e067bb6836
2014-05-02 10:26:15 chrizn (at) gmail (dot) com Comment #2 Reply to this comment
Please delet this request.
With more tests i saw the Status get's updated in the event in the calendar.

So, the only request for change is low-level:
  An other text after clicking the link in the invitation Mail.

Change from "No from address provided." to something with more sense 
like, "Your answer was accepted" or "event updated".

Sorry for false alarm.
2014-05-02 10:06:09 chrizn (at) gmail (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 3. High
Summary ⇒ UID in Event-Invitation NOT in the Link
Due ⇒ 2014-05-02
Queue ⇒ Kronolith
Milestone ⇒ ALL
Patch ⇒ No
Reply to this comment
Hi,
in the invitation E-Mails, when i press the link for accept, deny, 
..., the Event is not updated in the Calendar of the Organizer of the 
Event.

This situation is there for all invited Persons, which are NOT 
connected with an account on my Mailserver & are not logged in! And 
also the "Error Message" provided isn't helpful.
Message: "No from address provided."


The provided link is for example:

https://konfig.example.org/webmail/kronolith/attend.php?c=aJdjypjhjb8nsR6qJ9bKSQ1&e=mf7ZkRJeVskZVepxJBxTkQ7&u=external.user%40example.com&a=accept

the more or less type of link, which is working, is:

https://konfig.example.org/webmail/kronolith/attend.php?c=aJdjypjhjb8nsR6qJ9bKSQ1&i=20140502090843.rLBcJfSsOmALrbgfppSlwg3%40.example.org&e=mf7ZkRJeVskZVepxJBxTkQ7&u=external.user%40example.com&a=accept

The i-variable in the link is created with the "event_uid" from the database.

So, i think, there is somewhere a failure in the Linkcreating part of 
the event-creation/invitation mail.
I believe, it's first in the kronolith.php in this part:

if ($action == self::ITIP_REQUEST) {
                 $attend_link = Horde::url('attend.php', true, -1)
                     ->add(array('c' => $event->calendar,
                                 'e' => $event->id,
                                 'u' => $email));
                 $view->linkAccept    = (string)$attend_link->add('a', 
'accept');
                 $view->linkTentative = (string)$attend_link->add('a', 
'tentative');
                 $view->linkDecline   = (string)$attend_link->add('a', 
'decline');
             }
Probably there have to be:

if ($action == self::ITIP_REQUEST) {
                 $attend_link = Horde::url('attend.php', true, -1)
                     ->add(array('c' => $event->calendar,
                                 'i' => $event->uid,
                                 'e' => $event->id,
                                 'u' => $email));
                 $view->linkAccept    = (string)$attend_link->add('a', 
'accept');
                 $view->linkTentative = (string)$attend_link->add('a', 
'tentative');
                 $view->linkDecline   = (string)$attend_link->add('a', 
'decline');
             }

if there is anywhere else a need for code-change, and my thought is 
right, i don't know.

But without the i-variable the Events in the calendars don't update!

Best Regards,
ChriZ

Saved Queries